CorebanqCorebanq Developer Docs
Invoicesv1OCR

Poll OCR job status (v1)

Returns the current status of a v1 OCR job. When status=200 the result field is populated.

GET
/v1/invoices/ocr/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Job UUID returned by POST /v1/invoices/ocr

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/invoices/ocr/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "status": 202,
  "result": {
    "total": "string",
    "customer_name": "string",
    "customer_email": "string",
    "currency_code": "string",
    "currency_symbol": "string",
    "due_date": "string",
    "subtotal": "string",
    "sales_tax_percentage": "string",
    "sales_tax_amount": "string",
    "invoice_number": "string",
    "reference": "string",
    "bic": "string",
    "iban": "string"
  },
  "message": "string"
}
{
  "status": 400,
  "code": "invalid_input",
  "message": "Invalid input data",
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ],
  "class": "validation",
  "retryable": false
}
{
  "status": 400,
  "code": "invalid_input",
  "message": "Invalid input data",
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ],
  "class": "validation",
  "retryable": false
}
{
  "status": 400,
  "code": "invalid_input",
  "message": "Invalid input data",
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ],
  "class": "validation",
  "retryable": false
}
{
  "status": 400,
  "code": "invalid_input",
  "message": "Invalid input data",
  "details": [
    {
      "field": "amount",
      "rule": "gt",
      "param": "0",
      "message": "amount must be greater than 0"
    }
  ],
  "class": "validation",
  "retryable": false
}